Package org.bukkit.block

# Interface Banner

All Superinterfaces:
  `BlockState`, `Metadatable`, `PersistentDataHolder`, `TileState`

public interface Banner extends TileState
Represents a captured state of a banner.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPattern(@NotNull Pattern pattern)`
Adds a new pattern on top of the existing patterns
`@NotNull DyeColor`
`getBaseColor()`
Returns the base color for this banner
`@NotNull Pattern`
`getPattern(int i)`
Returns the pattern at the specified index
`@NotNull List<Pattern>`
`getPatterns()`
Returns a list of patterns on this banner
`int`
`numberOfPatterns()`
Returns the number of patterns on this banner
`@NotNull Pattern`
`removePattern(int i)`
Removes the pattern at the specified index
`void`
`setBaseColor(@NotNull DyeColor color)`
Sets the base color for this banner.
`void`
`setPattern(int i, @NotNull Pattern pattern)`
Sets the pattern at the specified index
`void`
`setPatterns(@NotNull List<Pattern> patterns)`
Sets the patterns used on this banner

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer`

## Method Details

### getBaseColor

@NotNull @NotNull DyeColor getBaseColor()
Returns the base color for this banner

Returns:
  the base color

### setBaseColor

void setBaseColor(@NotNull @NotNull DyeColor color)
Sets the base color for this banner. Only valid for shield pseudo banners, otherwise base depends on block type

Parameters:
  `color` - the base color

### getPatterns

@NotNull @NotNull List<Pattern> getPatterns()
Returns a list of patterns on this banner

Returns:
  the patterns

### setPatterns

void setPatterns(@NotNull @NotNull List<Pattern> patterns)
Sets the patterns used on this banner

Parameters:
  `patterns` - the new list of patterns

### addPattern

void addPattern(@NotNull @NotNull Pattern pattern)
Adds a new pattern on top of the existing patterns

Parameters:
  `pattern` - the new pattern to add

### getPattern

@NotNull @NotNull Pattern getPattern(int i)
Returns the pattern at the specified index

Parameters:
  `i` - the index
Returns:
  the pattern

### removePattern

@NotNull @NotNull Pattern removePattern(int i)
Removes the pattern at the specified index

Parameters:
  `i` - the index
Returns:
  the removed pattern

### setPattern

void setPattern(int i, @NotNull @NotNull Pattern pattern)
Sets the pattern at the specified index

Parameters:
  `i` - the index
  `pattern` - the new pattern

### numberOfPatterns

int numberOfPatterns()
Returns the number of patterns on this banner

Returns:
  the number of patterns